> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# DEX - トークン作成

> 指定された DEX 上に新しいトークンを作成



## OpenAPI

````yaml /jp/api-reference/openapi-defi-jp.yaml POST /v2/dex/{chain}/create
openapi: 3.1.0
info:
  title: Defi Service API
  description: Defi Service API ⚡️
  version: '1.0'
  contact:
    name: AI
    url: https://github.com/chainstream-io/defi-service
    email: ai@sx.ai
servers:
  - url: https://api.chainstream.io
    description: Production
security: []
tags:
  - name: Endpoints
    description: ''
paths:
  /v2/dex/{chain}/create:
    post:
      tags:
        - Dex
      summary: Dex - トークン作成
      description: 指定された DEX 上に新しいトークンを作成
      operationId: create.token
      parameters:
        - name: chain
          required: true
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          schema:
            $ref: '#/components/schemas/ChainSymbol'
      requestBody:
        required: true
        description: Token creation parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTokenInput'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTokenReply'
      security:
        - bearer: []
components:
  schemas:
    ChainSymbol:
      type: string
      enum:
        - sol
        - bsc
        - eth
    CreateTokenInput:
      type: object
      properties:
        dex:
          type: string
          description: 取引用の DEX 識別子
          example: raydium
          enum:
            - raydium
            - pumpfun
            - moonshot
            - candy
            - launchpad
        userAddress:
          type: string
          description: トランザクションを開始するウォレットの公開鍵
          example: oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7
          minLength: 8
          maxLength: 64
        priorityFee:
          type: string
          description: トランザクション処理速度を上げるための優先手数料（SOL 単位）
          example: '1000'
        name:
          type: string
          description: 作成するトークンの名前
          example: Candy Token
          minLength: 1
          maxLength: 32
        symbol:
          type: string
          description: トークンシンボル/ティッカー
          example: CANDY
          minLength: 1
          maxLength: 10
        uri:
          type: string
          description: トークンメタデータ URI（通常は画像または JSON を参照）
          example: https://assets.candyproject.com/token/icon.png
        image:
          type: string
          description: トークン画像 URL（Base64 または HTTPS）
          example: https://assets.candyproject.com/token/icon.png
        extra:
          type: object
          description: 作成されたトークンの追加メタデータ
          example:
            decimals: 6
            migrateType: amm
            slippage: 100
            buyAmount: 0
            supply: 1000000000000000
            totalSellA: 793100000000000
            totalFundRaisingB: 85000000000
            totalLockedAmount: 0
            cliffPeriod: 0
            unlockPeriod: 0
            shareFeeReceiver: oQPnhXAbLbMuKHESaGrbXT17CyvWCpLyERSJA9HCYd7
            shareFeeRate: 1000
      required:
        - dex
        - userAddress
        - name
        - symbol
    CreateTokenReply:
      type: object
      properties:
        serializedTx:
          type: string
          description: トークン作成用の Base64 エンコードされたトランザクション
          example: >-
            AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRgYGpQEDAQIABQcICQoLDA0ODwAAAAAAAAAAAAAQERITFBUWFxgZGhscHR4fAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=
        mintAddress:
          type: string
          description: トランザクション署名が必要なトークンミントアドレス
          example: So11111111111111111111111111111111111111112
      required:
        - serializedTx
        - mintAddress
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````